<template>
  <div class="page flexContainer-xl blog py-16">

    <div class="title mt-8 mx-auto">
      <h1 v-if="post && post.attributes">{{ post.attributes.title }}</h1>
    </div>

    <div class="mt-8 text-left text-grey italic text-xl">
      <h1 v-if="post && post.attributes">{{ post.attributes.date }}</h1>
    </div>

    <post class="content mt-16 text-xl leading-normal"
          :render="post.vue.render"
          :staticRenderFns="post.vue.staticRenderFns" />

  </div>
</template>

<script>
import post from '~/components/post'

export default {
  components: {
    post
  },
  async asyncData({ app, route, error }) {
    const post = await import('~/data/posts/' + route.params.slug + '.md')
    return {
      post: post
    }
  },
  data() {
    return {
      post: null
    }
  }
}
</script>

<style lang="scss" scoped>
.content {
  p {
    @apply mb-4;
  }
  h2 {
    @apply text-4xl text-black font-bold mb-8;
  }
}
</style>

